from . import boardtype


def test_touch_controller():
    if boardtype.is_librem5():
        match = 'N: Name="generic ft5x06'
    else:
        match = 'N: Name="Goodix Capacitive TouchScreen'
    assert(match in open("/proc/bus/input/devices").read())
